
D4Science Infrastructure - Task #11522

Provide a cronjob for removing old access.log files

Mar 26, 2018 11:31 AM - Roberto Cirillo

Status: Closed Start date: Mar 26, 2018

Priority: Urgent Due date:  

Assignee: Roberto Cirillo % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Pre-Production, Production   

Description

As done for

gcube@node66.p.d4science.research-infrastructures.eu

 we should also add the same cronjob to

gcube3@node1.p.d4science.research-infrastructures.eu

Related issues:

Related to D4Science Infrastructure - Task #10954: There is no limit to the a... Closed Jan 17, 2018

Related to D4Science Infrastructure - Task #13043: Provide a cronjob for remo... Closed Dec 14, 2018

History

#1 - Mar 26, 2018 11:31 AM - Roberto Cirillo

- Related to Task #10954: There is no limit to the access log file number added

#2 - Mar 27, 2018 02:10 PM - Andrea Dell'Amico

Was the change on node66 done manually or by ansible?

#3 - Mar 27, 2018 02:30 PM - Roberto Cirillo

I guess it was done manually by @tommaso.piccioli@isti.cnr.it 

#4 - Mar 28, 2018 05:05 PM - Andrea Dell'Amico

- Status changed from New to In Progress

#5 - Mar 28, 2018 05:06 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

In installed the cron jobs for the users gcube and gcube3.

#6 - Apr 12, 2018 02:38 PM - Andrea Dell'Amico

- Status changed from Feedback to Closed

#7 - Oct 30, 2018 11:09 AM - Tommaso Piccioli

- Status changed from Closed to In Progress

There are still problems with the "rotate and delete log", at least on these hosts:

collector-d4research.d4science.org

collector-pre.d4science.org

#8 - Oct 30, 2018 11:24 AM - Tommaso Piccioli

- Assignee changed from _InfraScience Systems Engineer to Roberto Cirillo
#9 - Oct 30, 2018 11:41 AM - Roberto Cirillo

- Assignee changed from Roberto Cirillo to Tommaso Piccioli

- Infrastructure Pre-Production added

The same cronjob should be added to all the collector instances.

Please could you add it to the following production/preproduction instances?

collector-d4research.d4science.org

gcube2@node24.p.d4science.research-infrastructures.eu

collector-d4os.d4science.org

collector-pre.d4science.org

collector-sbd.d4science.org

collector-parthenosvo.d4science.org

collector-openaire.d4science.org

#10 - Nov 12, 2018 10:17 AM - Roberto Cirillo

- Priority changed from Normal to High

Right now, I've removed manually the access log from node24.p.d4science and collector-d4research.d4science.org 

Please could you plan this activity?

#11 - Nov 28, 2018 11:03 AM - Roberto Cirillo

- % Done changed from 100 to 0

#12 - Dec 10, 2018 10:33 AM - Roberto Cirillo

- Assignee changed from Tommaso Piccioli to _InfraScience Systems Engineer

- Priority changed from High to Urgent

Again the same problem on collector-d4research and collector-openaire. This time I'm not going to remove the logs manually.

Please could you add the cronjob on all the collectors?

#13 - Dec 10, 2018 07:23 PM - Andrea Dell'Amico

- Assignee changed from _InfraScience Systems Engineer to Roberto Cirillo

- % Done changed from 0 to 40

See https://support.d4science.org/projects/aginfraplut/wiki/GCore_based_services for the documentation on how to configure the nodes before

provisioning them with a cron job that removes the old logs.

In the VMs were a cron job was manually installed, the old cron job must be manually removed or it will run twice (not a big deal).

You can run the playbook with the following command:

./run.sh ghn-node.yml -i inventory/hosts.pre -l <host_name|host_group> -t gcore_cron

 You can also use the more fine grained tag gcore_logs if you don't want to manage the cron job that restarts the services. I'll not run that job, the ghn

inventory is a bit of a mess and you know the hosts better than me.

#14 - Dec 11, 2018 12:32 PM - Roberto Cirillo

Ok. I'm going to run it, in order to test it, in preproduction environment, on collector-pre.d4science.org host.

#15 - Dec 11, 2018 12:54 PM - Roberto Cirillo

The cronjob have been properly installed on collector-pre. I'm going to install it on the other hosts.

#16 - Dec 11, 2018 03:46 PM - Roberto Cirillo

Added to:

collector-d4research.d4science.org

node24.p.d4science.research-infrastructures.eu

collector-sbd.d4science.org

#17 - Dec 11, 2018 03:58 PM - Roberto Cirillo

- % Done changed from 40 to 90
Added to the following hosts:

collector-d4os.d4science.org

collector-parthenosvo.d4science.org

collector-openaire.d4science.org

#18 - Dec 11, 2018 04:48 PM - Roberto Cirillo

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

Added also on root-vo collector. I'm going to set to feedback this ticket in order to check tomorrow if the job works as expected

#19 - Dec 11, 2018 05:04 PM - Roberto Cirillo

- Status changed from Closed to In Progress

#20 - Dec 11, 2018 05:05 PM - Roberto Cirillo

- Status changed from In Progress to Feedback

#21 - Dec 12, 2018 10:11 AM - Roberto Cirillo

- Status changed from Feedback to Closed

The job works properly

#22 - Dec 14, 2018 11:50 AM - Roberto Cirillo

- Related to Task #13043: Provide a cronjob for removing old access.log files on IS-Registry instances added
